Ticket #6089

位置検出パターンの認識に失敗するバグ
Open Date: 2005-05-31 23:44 Last Update: 2006-04-19 14:05

Reporter:
Owner:
(None)
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
9 - Highest
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

qrcode 0.3からqrcode 0.4にかけて、位置検出パターンの認
識に失敗する可能性があるバグが発生しています。

これは、FinderPattern.getCross()メソッドが、qrcode 0.4
の変更点の一つである、画像を縦横2倍のサイズで読み込むよ
うになったことに対応できていないのが原因です。

なお、このバグは画像に対してQRコードシンボルが斜めの場
合に頻発します。

近いうちに修正します。

Ticket History (3/7 Histories)

2005-07-01 16:24 Updated by: None
Comment
Logged In: NO

keefak
2005-07-01 16:39 Updated by: stallion
Comment
Logged In: YES
user_id=13750

choucran
2005-07-01 16:41 Updated by: stallion
Comment
Logged In: YES
user_id=13750

Ho Ho Ho now i have a machine gun (Bruce WIllis) die hard
2005-07-02 10:47 Updated by: stallion
Comment
Logged In: YES
user_id=13750

sasbah el kheir
ahlan
marhaba
ma'assalam
2005-08-21 23:07 Updated by: yanbe
Comment
Logged In: YES
user_id=11998

問題が多そうなので、該当する処理(画像を縦横2倍のサイズで読み
込む)の実行を見合わせることにしました。
2005-08-21 23:08 Updated by: yanbe
  • Resolution Update from None to Fixed
2006-04-19 14:05 Updated by: yanbe
  • Status Update from Open to Closed
  • Ticket Close date is changed to 2006-04-19 14:05

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login